TTTT Analysis 0.1

Public Member Functions | List of all members
fv::root::CounterManyI Class Reference
Inheritance diagram for fv::root::CounterManyI:
[legend]
Collaboration diagram for fv::root::CounterManyI:
[legend]

## Public Member Functions
| CounterManyI (const std::string &name, GenValue *value)
Public Member Functions inherited from fv::root::_Counter< std::vector< int >, int >
| _Counter (const std::string &name, GenValue *value, const std::string &type_name="")
void | save_as (const std::string &fname, const SaveOption &option=SaveOption::PNG)
Public Member Functions inherited from fv::Container< std::map< int, int > >
| Container (const std::string &name, std::map< int, int > *container)
virtual std::map< int, int > * | get_container ()
Public Member Functions inherited from fv::GenContainer
| GenContainer (const std::string name, const std::string &desc)
| GenContainer (const std::string name)
void | add_filter (GenValue *filter)
void | fill ()
void | set_description (const std::string &description)
const std::string & | get_name ()
virtual void | save (const SaveOption &option=SaveOption::PNG)

## Additional Inherited Members
Protected Attributes inherited from fv::root::_Counter< std::vector< int >, int >
Value< std::vector< int > > * | value
std::string | type_name
Protected Attributes inherited from fv::Container< std::map< int, int > >
std::map< int, int > * | container

The documentation for this class was generated from the following file:

- /home/caleb/Sources/TTTT/filval_root/container.hpp